//----------------------------------------------------------------------------
//  Description:  This file contains definitions specific to the hardware board.
//  Specifically, the definitions include hardware connections with the
//  DAC161P997 connector port, LEDs, and switches.
//
//  MSP430/DAC161P997 Interface Code Library
//
//   Vishy Natarajan
//   Texas Instruments Inc.
//   October 2011
//   Built with CCE Version: 4.2 and IAR Embedded Workbench Version:  5.3x
//------------------------------------------------------------------------------
// Change Log:
//------------------------------------------------------------------------------
// Version:  1.00
// Comments: Initial Release Version
//------------------------------------------------------------------------------

#ifndef HEADER_FILE_TI_MSP430_HARDWARE_BOARD_H
#define HEADER_FILE_TI_MSP430_HARDWARE_BOARD_H

#define TI_DAC161P997_LED_PxOUT            P1OUT
#define TI_DAC161P997_LED_PxDIR            P1DIR
#define TI_DAC161P997_LED_PIN              BIT0

#define TI_DAC161P997_TIMER_INTERVAL_PxSEL P2SEL
#define TI_DAC161P997_TIMER_INTERVAL_PxOUT P2OUT
#define TI_DAC161P997_TIMER_INTERVAL_PxDIR P2DIR
#define TI_DAC161P997_TIMER_INTERVAL_PIN   BIT3

//----------------------------------------------------------------------------
// Select which MSP430 peripheral will be used for implement the DAC161P997 SWIF
// port send symbol function TI_DAC161P997_SWIFSendSymbol
//----------------------------------------------------------------------------
//#define TI_DAC161P997_SER_INTF          TI_DAC161P997_SER_INTF_TIMER_A0_5xx    // 5xx, 6xx family Timer_A0 based DAC161P997 send symbol function
//#define TI_DAC161P997_SER_INTF          TI_DAC161P997_SER_INTF_TIMER_B0_5xx    // 5xx, 6xx family Timer_B0 based DAC161P997 send symbol function
#define TI_DAC161P997_SER_INTF          TI_DAC161P997_SER_INTF_BITBANG         //  Bitbang based DAC161P997 send symbol function

#endif                                                                         // HEADER_FILE_TI_MSP430_HARDWARE_BOARD_H

